Loading...
Searching...
No Matches
casacore::KaiserBParam< T > Class Template Reference
Functionals_module_internal_classes

More...

`#include <KaiserBParam.h>`

## Public Types

enum | { HEIGHT , CENTER , WIDTH , KBPAR }
| Parameter numbers. More...
Public Types inherited from casacore::Function< T, U >
typedef FunctionTraits< T >::ArgType | ArgType
typedef const ArgType * | FunctionArg

## Public Member Functions

| KaiserBParam ()
| Constructs the KaiserB, Defaults: height=1, center=0, width=1, kbpar=2.5.
| KaiserBParam (const T &kbpar)
| KaiserBParam (const KaiserBParam< T > &other)
| Copy constructor (deep copy).
KaiserBParam< T > & | operator= (const KaiserBParam< T > &other)
| Copy assignment (deep copy).
template<class W>
| KaiserBParam (const KaiserBParam< W > &other)
virtual | ~KaiserBParam ()
| Destructor.
virtual uInt | ndim () const
| Returns the number of dimensions of function.
virtual const String & | name () const
| Give name of function.
Public Member Functions inherited from casacore::Function< T, U >
| Function ()
| Constructors.
| Function (const uInt n)
| Function (const Vector< T > &in)
| Function (const FunctionParam< T > &other)
template<class W, class X>
| Function (const Function< W, X > &other)
virtual | ~Function ()
| Destructor.
uInt | nparameters () const
| Returns the number of parameters.
virtual U | eval (FunctionArg x) const =0
| Evaluate the function object.
T & | operator[] (const uInt n)
| Manipulate the nth parameter (0-based) with no index check.
const T & | operator[] (const uInt n) const
virtual U | operator() () const
| Evaluate this function object at xor at x, y.
virtual U | operator() (const ArgType &x) const
virtual U | operator() (const Vector< ArgType > &x) const
virtual U | operator() (FunctionArg x) const
virtual U | operator() (const ArgType &x, const ArgType &y) const
virtual U | operator() (const ArgType &x, const ArgType &y, const ArgType &z) const
Bool & | mask (const uInt n)
| Manipulate the mask associated with the nth parameter (e.g.
const Bool & | mask (const uInt n) const
const FunctionParam< T > & | parameters () const
| Return the parameter interface.
FunctionParam< T > & | parameters ()
const Vector< ArgType > & | argp () const
| Get arg_p and parset_p.
Bool | parsetp () const
void | lockParam ()
| Compiler cannot always find the correct 'const' version of parameter access.
void | unlockParam ()
virtual void | setMode (const RecordInterface &mode)
| get/set the function mode.
virtual void | getMode (RecordInterface &mode) const
virtual Bool | hasMode () const
| return True if the implementing function supports a mode.
ostream & | print (ostream &os) const
| Print the function (i.e.
virtual Function< T, U > * | clone () const =0
| Return a copy of this object from the heap.
virtual Function< typename FunctionTraits< T >::DiffType > * | cloneAD () const
virtual Function< typename FunctionTraits< T >::BaseType > * | cloneNonAD () const
Public Member Functions inherited from casacore::Functional< FunctionTraits< T >::ArgType, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const FunctionTraits< T >::ArgType &x) const=0
| Map a Domain x into a Range y value.
Public Member Functions inherited from casacore::Functional< Vector< FunctionTraits< T >::ArgType >, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const Vector< FunctionTraits< T >::ArgType > &x) const=0
| Map a Domain x into a Range y value.

## Additional Inherited Members

Protected Attributes inherited from casacore::Function< T, U >
FunctionParam< T > | param_p
| The parameters and masks.
Vector< ArgType > | arg_p
| Aid for non-contiguous argument storage.
Bool | parset_p
| Indicate parameter written.
Bool | locked_p
| Indicate that parameters are expected to be locked from changing.

## Detailed Description

template<class T>
class casacore::KaiserBParam< T >

A one dimensional Kaiser-Bessel function

### Intended use:

Internal

### Review Status

Test programs:
  tFunctionHolder

### Prerequisite

- FunctionParam class
- Function class

### Etymology

A Kaiser-Bessel function

### Synopsis

A Kaiser-Bessel is described by a height, a center, a width (halfwidth) and a parameter. The parameters are enumerated by HEIGHT, CENTER, WIDTH, KBPAR. They have default values of (1, 0, 1, 2.5).

### Example

KaiserBFunction<Double> sf;
sf(0); // = 1.0
casacore::KaiserBFunction
Definition KaiserBFunction.h:80

### Template Type Argument Requirements (T)

- T should have standard numerical operators

### Thrown Exceptions

- AipsError if incorrect parameter number specified.

Definition at line 78 of file KaiserBParam.h.

## Member Enumeration Documentation

## anonymous enum

template<class T>

anonymous enum

Parameter numbers.

Enumerator
HEIGHT |
CENTER |
WIDTH |
KBPAR |

Definition at line 83 of file KaiserBParam.h.

## Constructor & Destructor Documentation

## KaiserBParam() [1/4]

template<class T>

casacore::KaiserBParam< T >::KaiserBParam | ( |  | ) |

Constructs the KaiserB, Defaults: height=1, center=0, width=1, kbpar=2.5.

Warning: Could not use default arguments that worked both with gcc and IRIX

Referenced by casacore::KaiserBFunction< T >::KaiserBFunction(), casacore::KaiserBFunction< T >::KaiserBFunction(), casacore::KaiserBFunction< T >::KaiserBFunction(), casacore::KaiserBFunction< T >::KaiserBFunction(), KaiserBParam(), KaiserBParam(), and operator=().

## KaiserBParam() [2/4]

template<class T>

casacore::KaiserBParam< T >::KaiserBParam | ( | const T & | kbpar | ) |

explicit

## KaiserBParam() [3/4]

template<class T>

casacore::KaiserBParam< T >::KaiserBParam | ( | const KaiserBParam< T > & | other | ) |

Copy constructor (deep copy).

References KaiserBParam().

## KaiserBParam() [4/4]

template<class T>
template<class W>

casacore::KaiserBParam< T >::KaiserBParam | ( | const KaiserBParam< W > & | other | ) |

inline

Definition at line 101 of file KaiserBParam.h.

References casacore::Function< T, U >::Function(), and KaiserBParam().

## ~KaiserBParam()

template<class T>

virtual casacore::KaiserBParam< T >::~KaiserBParam | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## name()

template<class T>

virtual const String & casacore::KaiserBParam< T >::name | ( |  | ) | const

inline virtual

Give name of function.

Reimplemented from casacore::Function< T, U >.

Definition at line 112 of file KaiserBParam.h.

## ndim()

template<class T>

virtual uInt casacore::KaiserBParam< T >::ndim | ( |  | ) | const

inline virtual

Returns the number of dimensions of function.

Implements casacore::Function< T, U >.

Definition at line 108 of file KaiserBParam.h.

## operator=()

template<class T>

KaiserBParam< T > & casacore::KaiserBParam< T >::operator= | ( | const KaiserBParam< T > & | other | ) |

Copy assignment (deep copy).

References KaiserBParam().

Referenced by casacore::KaiserBFunction< T >::operator=().

The documentation for this class was generated from the following file:

- scimath/Functionals/KaiserBParam.h